Delete a merchant - WalletConnect Pay Docs
Delete a merchant
cURL
curl --request DELETE \
--url https://api.pay.walletconnect.com/v1/merchants/{merchantId} \
--header 'Api-Key: <api-key>'
Python
import requests
url = "https://api.pay.walletconnect.com/v1/merchants/{merchantId}"
headers = {"Api-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript
const options = {method: 'DELETE', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.pay.walletconnect.com/v1/merchants/{merchantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
200
{
"id": "mrch_7kBz2qR9xPvLmN4Yw",
"deleted": true
}
Authorizations
- Api-Key - string required in header
Path Parameters
- merchantId - string required
Response
- 200 - application/json
- id - string required
- deleted - boolean required